Bug 12690 - Include samba.crypto Python module to 4.6
Include samba.crypto Python module to 4.6
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Python
4.6.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-15 10:16 UTC by Alexander Bokovoy
Modified: 2017-03-27 09:37 UTC (History)
1 user (show)

See Also:


Attachments
patch for 4.6 branch (5.41 KB, patch)
2017-03-15 10:16 UTC, Alexander Bokovoy
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bokovoy 2017-03-15 10:16:29 UTC
Created attachment 13062 [details]
patch for 4.6 branch

Python module to provide access to Samba's arcfour_crypt_blob() was added to git master. Add the same module to 4.6 releases to allow FreeIPA and Samba AD operate under FIPS 140-2 compliant environments.
Comment 1 Guenther Deschner 2017-03-15 10:56:08 UTC
Comment on attachment 13062 [details]
patch for 4.6 branch

LGTM
Comment 2 Guenther Deschner 2017-03-15 10:56:46 UTC
Karolin, please add to 4.6
Comment 3 Karolin Seeger 2017-03-23 11:56:22 UTC
(In reply to Guenther Deschner from comment #2)
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-03-27 09:37:58 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!